LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTemplateInstance Interface Referencepublished

is implemented by objects that are instances of a named template to provide information about the template. More...

`import"XTemplateInstance.idl";`

Inheritance diagram for XTemplateInstance:

## Public Member Functions
string | getTemplateName ()
| retrieves the name of the template More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is implemented by objects that are instances of a named template to provide information about the template.

Template names are similar to service names, but apply to structure and content, rather than to type.

Often a template description can be retrieved from a repository and then be interpreted by a factory object. Templates provide a means to build new kinds of objects dynamically.

See also
  XTemplateContainer

## Member Function Documentation

## ◆ getTemplateName()

string getTemplateName | ( |  | ) |

retrieves the name of the template

Returns
  the name of the template this object was built from or conforms to.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/XTemplateInstance.idl